Page MenuHomePhabricator

Local categories rather than Commons's are prompted in the upload media dialog
Closed, ResolvedPublic8 Story Points

Description

Inserting an image using the VE insert media tool from mediawikiwiki, I found an autocompleted category "Mediawiki Manual". On Commons, no such category exists.

Event Timeline

awight created this task.Oct 20 2015, 7:01 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptOct 20 2015, 7:01 PM
Jdforrester-WMF renamed this task from Different categories available in VE insert media dialog vs. commons upload wizard to Local categories rather than Commons's are prompted in the upload media dialog.Oct 20 2015, 7:06 PM
Jdforrester-WMF assigned this task to Prtksxna.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: Multimedia.
Jdforrester-WMF set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 20 2015, 7:06 PM
matmarex added subscribers: Prtksxna, matmarex.

Woooow this is incredibly super stupid.

@Prtksxna is probably not around now, and we want this quickly, so I'll write a patch and he can merge it tomorrow. ;)

matmarex raised the priority of this task from Medium to High.Oct 20 2015, 10:06 PM

This turned out to be much worse than I expected. A lot of code here assumed the local wiki.

Change 247762 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ForeignStructuredUpload: Provide category suggestions from the right wiki

https://gerrit.wikimedia.org/r/247762

zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Oct 21 2015, 9:08 AM

Change 247762 merged by jenkins-bot:
mw.ForeignStructuredUpload: Provide category suggestions from the right wiki

https://gerrit.wikimedia.org/r/247762

Change 247886 had a related patch set uploaded (by Jforrester):
mw.ForeignStructuredUpload: Provide category suggestions from the right wiki

https://gerrit.wikimedia.org/r/247886

Change 247886 merged by jenkins-bot:
mw.ForeignStructuredUpload: Provide category suggestions from the right wiki

https://gerrit.wikimedia.org/r/247886

Jdforrester-WMF closed this task as Resolved.Oct 22 2015, 12:05 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.